com.pixelmed.test

## Class TestSafePrivatePhilipsDoseRelated

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestSafePrivatePhilipsDoseRelated

-     public class TestSafePrivatePhilipsDoseRelated
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestSafePrivatePhilipsDoseRelated(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestSafePrivatePhilipsDoseRelated_FromFile()`
    `void` | `TestSafePrivatePhilipsDoseRelated_FromList()`
    `void` | `TestSafePrivatePhilipsDoseRelated_FromTag()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestSafePrivatePhilipsDoseRelated

          public TestSafePrivatePhilipsDoseRelated(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### TestSafePrivatePhilipsDoseRelated_FromTag

          public void TestSafePrivatePhilipsDoseRelated_FromTag()
                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestSafePrivatePhilipsDoseRelated_FromList

          public void TestSafePrivatePhilipsDoseRelated_FromList()
                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestSafePrivatePhilipsDoseRelated_FromFile

          public void TestSafePrivatePhilipsDoseRelated_FromFile()
                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`